<?php

class Migration_20250207233622_alter_call_flow
{
    public static function up(PDO $pdo)
    {
        $sql = "
            ALTER TABLE `my_call_flow` ADD COLUMN `first_message_vocie_select` VARCHAR(10) NULL AFTER `first_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `no_response_vocie_select` VARCHAR(10) NULL AFTER `no_response_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `press2_vocie_select` VARCHAR(10) NULL AFTER `press2_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `press2_auth_vocie_select` VARCHAR(10) NULL AFTER `press2_auth_code_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `press2_auth_ack_vocie_select` VARCHAR(10) NULL AFTER `press2_auth_code_ack_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `press2_auth_access_vocie_select` VARCHAR(10) NULL AFTER `press2_auth_code_access_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `press2_auth_denied_vocie_select` VARCHAR(10) NULL AFTER `press2_auth_code_denied_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `advertisement_vocie_select` VARCHAR(10) NULL AFTER `advertisement_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `connected_no_answer_vocie_select` VARCHAR(10) NULL AFTER `connected_no_answer_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `connected_hangup_vocie_select` VARCHAR(10) NULL AFTER `connected_hangeup_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `is_beep_vocie_select` VARCHAR(10) NULL AFTER `beep_text`;
            ALTER TABLE `my_call_flow` ADD COLUMN `is_access_vocie_select` VARCHAR(10) NULL AFTER `access_text`;
        ";
        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        $sql = "
            ALTER TABLE `my_call_flow` DROP COLUMN `no_response_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `first_message_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `press2_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `press2_auth_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `press2_auth_ack_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `press2_auth_access_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `press2_auth_denied_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `advertisement_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `connected_no_answer_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `connected_hangup_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `is_beep_vocie_select`;
            ALTER TABLE `my_call_flow` DROP COLUMN `is_access_vocie_select`;
        ";
        $pdo->exec($sql);
    }
}